;/***********************************************************************
;* Copyright  Intel Corporation 1998.  All rights reserved.
;************************************************************************
; driver.s for EBSA285
; -----------------------------------------------------------------------
; This file defines the EBSA285 specific low-level routines for Angel.
; Not much unique code: inb and outb to handle serial I/O and SetLEDs 
; to errrm, set the LEDs. Oh, and a couple of tables for PCI init.
; 
; $Revision: 1.11 $
;   $Author: drusling $
;     $Date: 1998/11/18 18:03:42 $
;************************************************************************

        AREA    AngelDriver,CODE
        KEEP
        EXPORT  SetLEDs
        EXPORT  SAiv_PciSizes           ; Tables for PCI initialisation
        EXPORT  SAiv_PciMasks

        ; IO addresses
        INCLUDE platform.s
        GET     target.s                ; target specific definitions

; Switch the LEDs off and on
SetLEDs
        ; Note: Have to write a zero to turn LED on. Uses r2 to leave r0
        ; unchanged (useful if debugging via leds).
        EOR     r2, r0, #ALL_LEDS
        LDR     r1, =LED_BANK
        STRB    r2, [r1]
        MOV     pc, lr

        LTORG

; These arrays are used by the PCI init code to determine the mask value
; written to the 21285 to tell the PCI host how much memory we're putting
; into the PCI map. Each entry in SAiv_PciSizes corresponds to the same
; entry in SAiv_PciMasks.

SAiv_PciSizes
        DCD     SZ_256M, SZ_128M, SZ_64M, SZ_32M
        DCD     SZ_16M,  SZ_8M,   SZ_4M,  SZ_2M
        DCD     SZ_1M,   SZ_512K, SZ_256K, 0

SAiv_PciMasks
        DCD     0x0FFC0000, 0x07FC0000, 0x03FC0000, 0x01FC0000
        DCD     0x00FC0000, 0x007C0000, 0x003C0000, 0x001C0000
        DCD     0x000C0000, 0x00040000, 0x00000000, 0x8FFC0000


        END

