#ifndef __ETHER_H_LOADED
#define __ETHER_H_LOADED
/****************************************************************************
**                                                                          *
**  Copyright  1997						     								*
**  by Digital Equipment Corporation, Maynard, Massachusetts.		     	*
**                                                                          *
**  All Rights Reserved							     						*
**                                                                          *
**  Permission  is  hereby  granted  to  use, copy, modify and distribute   *
**  this  software  and  its  documentation,  in  both  source  code  and   *
**  object  code  form,  and without fee, for the purpose of distribution   *
**  of this software  or  modifications  of this software within products   *
**  incorporating  an  integrated   circuit  implementing  Digital's  		*
**  StrongARM architecture,  regardless  of the  source of such integrated 	*
**	circuit, provided that the  above copyright  notice and this permission *
**  notice appear  in  all copies,  and  that  the  name  of  Digital  		*
**  Equipment Corporation  not  be  used  in advertising or publicity 		*
**  pertaining to distribution of the  document  or  software without 		*
**  specific, written prior permission.							            *
**                                                                          *
**  Digital  Equipment  Corporation   disclaims  all   warranties  and/or   *
**  guarantees  with  regard  to  this  software,  including  all implied   *
**  warranties of fitness for  a  particular purpose and merchantability,   *
**  and makes  no  representations  regarding  the use of, or the results   *
**  of the use of, the software and documentation in terms of correctness,  *
**  accuracy,  reliability,  currentness  or  otherwise;  and you rely on   *
**  the software, documentation and results solely at your own risk.	    *
**                                                                          *
**  StrongARM is a trademark of Digital Equipment Corporation               *
**                                                                          *
*****************************************************************************/
/*
 *  $Id: ether.h,v 2.1 1997/08/15 12:20:48 smithg Exp $;
 */

/*
 * $Log: ether.h,v $
 * Revision 2.1  1997/08/15  12:20:48  smithg
 * eb285
 *
 * Revision 2.0  1997/07/23 13:26:04  smithg
 * ebsa285 revisions
 *
 * Revision 1.2  1997/07/23 10:57:10  smithg
 * Header updated
 *
 * Revision 1.1  1997/07/14 14:45:49  smithg
 * Initial revision
 *
 * Revision 1.3  1997/07/04 10:03:34  smithg
 * changed to unix format from dos format
 *
 * Revision 1.2  1997/07/03 10:32:32  smithg
 * system.h includes removed
 *
 * Revision 1.1  1996/03/28 11:14:54  rusling
 * Initial revision
 *
 * Revision 1.1  1996/01/09  14:26:48  berent
 * Initial revision
 *
 * Revision 1.4  1994/08/05  20:13:47  fdh
 * Updated Copyright header and RCS $Id: identifier.
 *
 * Revision 1.3  1994/06/28  20:08:21  fdh
 * Modified filenames and build precedure to fit into a FAT filesystem.
 *
 * Revision 1.2  1994/06/20  14:18:59  fdh
 * Fixup header file preprocessor #include conditionals.
 *
 * Revision 1.1  1994/06/20  12:54:45  fdh
 * Initial revision
 *
 */

#include "address.h"
#include "arp.h"
#include "bootp.h"
#include "edevice.h"
#include "ethernet.h"
#include "ip.h"
#include "net_buff.h"
#include "udp.h"



/* /ether/arp.c */
extern void arp_show(void);

/* /ether/edevice.c */
extern void ether_device_show(void);
extern void ether_device_clear_interrupts(int device_no);

/* /ether/tftp.c */
extern void tftp_init_module(void);

/* /ether/bootp.c */
extern void bootp_init_module(void);

/* ladbx/server_init_module */
extern void ladbx_server_init_module(void);

/* /ether/ethernet.c */
extern int ethernet_process_one_packet(int device_no, 
				       unsigned char* input_buffer, 
				       unsigned char* * output_buffer );

/* /ether/eaddr.c */
extern void get_eaddr(void);
extern int ethernet_address(unsigned int  argc , unsigned char * s);

/* /ether/netboot.c */
extern int netboot(int argc , char * file);

#endif /* __ETHER_H_LOADED */
