/****************************************************************************
**                                                                          *
**  Copyright  1997						     								*
**  by Digital Equipment Corporation, Maynard, Massachusetts.		     	*
**                                                                          *
**  All Rights Reserved							     						*
**                                                                          *
**  Permission  is  hereby  granted  to  use, copy, modify and distribute   *
**  this  software  and  its  documentation,  in  both  source  code  and   *
**  object  code  form,  and without fee, for the purpose of distribution   *
**  of this software  or  modifications  of this software within products   *
**  incorporating  an  integrated   circuit  implementing  Digital's  		*
**  StrongARM architecture,  regardless  of the  source of such integrated 	*
**	circuit, provided that the  above copyright  notice and this permission *
**  notice appear  in  all copies,  and  that  the  name  of  Digital  		*
**  Equipment Corporation  not  be  used  in advertising or publicity 		*
**  pertaining to distribution of the  document  or  software without 		*
**  specific, written prior permission.							            *
**                                                                          *
**  Digital  Equipment  Corporation   disclaims  all   warranties  and/or   *
**  guarantees  with  regard  to  this  software,  including  all implied   *
**  warranties of fitness for  a  particular purpose and merchantability,   *
**  and makes  no  representations  regarding  the use of, or the results   *
**  of the use of, the software and documentation in terms of correctness,  *
**  accuracy,  reliability,  currentness  or  otherwise;  and you rely on   *
**  the software, documentation and results solely at your own risk.	    *
**                                                                          *
**  StrongARM is a trademark of Digital Equipment Corporation               *
**                                                                          *
*****************************************************************************/

#ifndef LINT
extern char *rcsid;
#endif


#include "devconf.h"

#if (ETHERNET_SUPPORTED == 1)

#include "net_buff.h"
#include "ether.h"
#include "address.h"
#include "socket.h"
#include "debugio.h"
#include "ip.h"
#include "arm_ether.h"
#include "channels.h"
#include "bootp.h"
#include "dec21040.h"

int etherprom = FALSE;
int etherdump = FALSE;
int InitialisationFail = TRUE;

int netboot_main(void)
{
    mac_addr my_uid;


	// Switch to ethernet
	angel_ChannelSelectDevice(DI_ETHERNET);
	// Now Build devnodes	
	SAr_BuildDevNodeTree();
	// Assign memory etc..... and enable devices
	SAr_ConfigurePciDevices();	

	ether_device_init_module();


	if (ERROR == DECchip_21x4x_device_init_module()) {
		return ERROR;	
	}
	
	DECchip_21x4x_device_register(0);


	arp_init_module();
	if (ERROR == ether_device_init(0)) {
		return ERROR;
	}
	
	arp_init(0);
	ip_init(0);

	udp_init(0);
	
	ethernet_printaddress(my_uid);

   	socket_init();

#if (USE_RARP == 1)

	if (rarp_init(0)) { // RARP has failed
		return ERROR;
	}
#elif (USE_BOOTP == 1)
	if (bootp_boot(0)) { // BOOTP has failed
		return ERROR;
	}
#else // hardwire the address
	ip_set_device_addr(0, client_ipaddr);
#endif	

	// Indicate the stack is init'd
	InitialisationFail = FALSE;
return 0;
}

#endif




