#ifndef __NETMAN_H_LOADED
#define __NETMAN_H_LOADED
/****************************************************************************
**                                                                          *
**  Copyright  1997						     								*
**  by Digital Equipment Corporation, Maynard, Massachusetts.		     	*
**                                                                          *
**  All Rights Reserved							     						*
**                                                                          *
**  Permission  is  hereby  granted  to  use, copy, modify and distribute   *
**  this  software  and  its  documentation,  in  both  source  code  and   *
**  object  code  form,  and without fee, for the purpose of distribution   *
**  of this software  or  modifications  of this software within products   *
**  incorporating  an  integrated   circuit  implementing  Digital's  		*
**  StrongARM architecture,  regardless  of the  source of such integrated 	*
**	circuit, provided that the  above copyright  notice and this permission *
**  notice appear  in  all copies,  and  that  the  name  of  Digital  		*
**  Equipment Corporation  not  be  used  in advertising or publicity 		*
**  pertaining to distribution of the  document  or  software without 		*
**  specific, written prior permission.							            *
**                                                                          *
**  Digital  Equipment  Corporation   disclaims  all   warranties  and/or   *
**  guarantees  with  regard  to  this  software,  including  all implied   *
**  warranties of fitness for  a  particular purpose and merchantability,   *
**  and makes  no  representations  regarding  the use of, or the results   *
**  of the use of, the software and documentation in terms of correctness,  *
**  accuracy,  reliability,  currentness  or  otherwise;  and you rely on   *
**  the software, documentation and results solely at your own risk.	    *
**                                                                          *
**  StrongARM is a trademark of Digital Equipment Corporation               *
**                                                                          *
*****************************************************************************/
/* "$Id: netman.h,v 2.0 1997/07/23 13:26:04 smithg Exp $" */

/*
 * This module provides functions for selecting which ethernet device is used and
 * for initialising it when neccessary.
 *
 * $Log: netman.h,v $
 * Revision 2.0  1997/07/23  13:26:04  smithg
 * ebsa285 revisions
 *
 * Revision 1.2  1997/07/23 10:57:10  smithg
 * Header updated
 *
 * Revision 1.1  1997/07/14 14:45:49  smithg
 * Initial revision
 *
 * Revision 1.3  1997/07/04 10:03:34  smithg
 * changed to unix format from dos format
 *
 * Revision 1.2  1997/07/03 10:32:32  smithg
 * system.h includes removed
 *
 * Revision 1.1  1996/03/28 11:14:54  rusling
 * Initial revision
 *
 * Revision 1.1  1996/01/09  14:26:48  berent
 * Initial revision
 *
 * Revision 1.3  1994/08/05  20:13:47  fdh
 * Updated Copyright header and RCS $Id: identifier.
 *
 * Revision 1.2  1994/06/20  14:18:59  fdh
 * Fixup header file preprocessor #include conditionals.
 *
 * Revision 1.1  1993/08/11  10:18:33  berent
 * Initial revision
 *
 */

/* netman_setup - initialise the networking modules and register the devices
 */
extern void netman_setup(void);

/* netman_set_monitor_device - set up the device to be used by the monitor
 *
 * Argument:
 *    device_no - The monitor device number.
 * 
 * Return value:
 *    TRUE - successful
 *    FALSE - bad device number
 */
extern int netman_set_monitor_device(int device_no);

/* netman_start_monitor_device - start the monitor device and all protocol handlers for it
 */
extern void netman_start_monitor_device(void);

/* netman_monitor_device_started  - tells other modules whether the monitor device has been started
 *
 * Return value:
 *    TRUE - it has been initialised before
 *    FALSE - it has never been initialised
 */
extern int netman_monitor_device_started(void);

#endif /* __NETMAN_H_LOADED */
