//
// Copyright (C) 1995
// Digital Equipment Corporation, Maynard, Massachusetts.
// All Rights Reserved
//
// Permission to  use, copy,  modify, and distribute  this software
// and its documentation for any  purpose and without fee is hereby
// granted, provided that the  copyright notice and this permission
// notice   appear  in  all   copies  of  software  and  supporting
// documentation,  and  that  the  name  of Digital  not be used in
// advertising or  publicity  pertaining to   distribution  of  the
// software  without  specific,  written prior  permission. Digital
// grants  this  permission  provided  that you  prominently  mark,
// as  not part  of the original,  any modifications that  is  made
// to this software or documentation.
//
// Digital Equipment Corporation  disclaims all  warranties  and/or
// guarantees with  regard to  this software, including all implied
// warranties   of  fitness  for   a   particular    purpose    and
// merchantibility, and makes no representations regarding  use of,
// or  the  results of  the use of, the  software and documentation
// in terms  of correctness, accuracy, reliability, currentness, or
// otherwise;  and   you rely  on  the software,  documentation and
// results solely at your own risk.
//
// ======================================================================
//
// Abstract:          this file contains the routine declarations for PCI 
//                    library.
//
// Author:            cjm (Digital Semiconductor Engineering)
//
// Hardware Platform: 90 Mhz Pentium PCI based PC
//
// Operating System:  MSDOS V6.22
//
// Development Env:   Watcom C/C++ V10.0 Professional Development Kit
//
// Modifications:
//
//    $History: PCIPROTO.H $
// 
// *****************  Version 2  *****************
// User: Carey        Date: 6/08/95    Time: 1:24p
// Updated in $/PCI Library
// Cleaned up comments et al.
// 
// *****************  Version 1  *****************
// User: Carey        Date: 6/08/95    Time: 12:06p
// Created in $/PCI Library
// PCI Library routines prototype declarations for library use
// 
//


//
// DPMI routines
//
S8 dpmiMap(U32,U32,PU32,S8);
S8 dpmiFree(U32,U32,S8);

//
// misc routines
//
PU8 getDeviceClass(U16,U16,U16,U16);
U32 atoh(PU8);
//S8 scanSwitch(S16,PU8*,PU16,cmdType*,PU32);
S8 findDevice(U16,U16,S8,devInfo*);
S8 checkPciBios(biosInfo*);

//
// PCI configuration space access routines
//
U32 incfgd(U8,U8,U8,U8,U8);
U16 incfgw(U8,U8,U8,U8,U8);
U8 incfgb(U8,U8,U8,U8,U8);
void outcfgd(U8,U8,U8,U8,U8,U32);
void outcfgw(U8,U8,U8,U8,U8,U16);
void outcfgb(U8,U8,U8,U8,U8,U8);
