;/*****************************************************************************

;       Copyright  1997 Digital Equipment Corporation,
;                       Maynard, Massachusetts.

;                        All Rights Reserved

;Permission to use, copy, modify, and distribute this software and its
;documentation for any purpose and without fee is hereby granted, provided
;that the copyright notice and this permission notice appear in all copies
;of software and supporting documentation, and that the name of Digital not
;be used in advertising or publicity pertaining to distribution of the software
;without specific, written prior permission. Digital grants this permission
;provided that you prominently mark, as not part of the original, any
;modifications made to this software or documentation.

;Digital Equipment Corporation disclaims all warranties and/or guarantees
;with regard to this software, including all implied warranties of fitness for
;a particular purpose and merchantability, and makes no representations
;regarding the use of, or the results of the use of, the software and
;documentation in terms of correctness, accuracy, reliability, currentness or
;otherwise; and you rely on the software, documentation and results solely at
;your own risk.

;******************************************************************************

;	assembly level support routines for fmu over angel on the ebsa-285

;       $Id: support.s,v 1.1 1997/11/03 16:21:40 rusling Exp $

;******************************************************************************/

	INCLUDE	platform.s
	GET	mmumacro.s

	EXPORT	EnterSvcMode
	EXPORT	DisableCaches

	AREA	FMU_SUPPORT, CODE, READONLY

SWI_Angel		EQU	0x123456
angel_SWIreason_EnterSVC	EQU	0x17
	
;	int EnterSvcMode(void)
;
; Routine to enter supervisor mode. Copies original CPSR to SPSR for
; proper return.
;
;	Corrupts v1 and v2.
;
;	Returns address of routine to call to exit SVC mode in r0
;
EnterSvcMode
	STMFD	sp!, {v1-v2, lr}		; save working registers

	MOV	r0, #angel_SWIreason_EnterSVC	; Enter SVC mode
	SWI	SWI_Angel			; Returns EnterUSR routine in r0

	LDMFD	sp!, {v1-v2, pc}		; restore registers & return

;	void DisableCaches(void)
; 
; Routine to disable the caches
DisableCaches
	STMFD	sp!, {v1-v2, lr}		; save working registers

	LDR	v1, =(IC_ON + DC_ON + WB_ON)
	WRCP15_Control	v1	; Update control register
	NOP
	NOP
	NOP
	NOP

	
	LDMFD	sp!, {v1-v2, pc}		; restore registers & return
	
	END

