# -----------------------------------------------------
# Makefile.rules
# This Makefile contains global settings that are
# included in other Makefiles.
# -----------------------------------------------------
# -----------------------------------------------------
# Some handy definitions.
# -----------------------------------------------------

ARMLINK    	= armlink
ARMCC      	= armcc 
ARMASM	   	= armasm 

# work out the OS that we're running in.
ifeq ($(CONFIG),Windows)
OS_TYPE		= Windows
else
ifeq ($(OS),Windows_NT)
OS_TYPE		= Windows
else
OS_TYPE		= Unix
endif
endif

ifeq ($(OS_TYPE),Windows)
# Bash/GNU running under DOS/windows{95/NT}
# We use the Watcom C++ compilers etc
WCC		= wcc386
WLINK		= wlink
else
# Bash/GNU running under Digital Unix, Linux etc
HOSTCC	   	= cc -g 
CLEAN	   	= /usr/bin/rcsclean
endif
MAKE	   	= gmake 

INCLUDES   	= ../h
TOOLS	   	= ../tools
IMAGES	   	= ../images

#
# Default the shell
#
SHELL		= /bin/sh

#
# This comes from the ARM SDT 2.1.   Put it where you want it.
#
ARMLIB     	= ../lib/armlib.32l

# -----------------------------------------------------
# The default rules.
# -----------------------------------------------------
.SUFFIXES:
.SUFFIXES: .bin .aif .o .s .c

.o.bin:
	$(ARMLINK) -BIN $*.o -o $*.bin

.o.aif:
	$(ARMLINK) $(ARMLIB) $*.o -o $*.aif

.o.axf:
	$(ARMLINK) $(ARMLIB) $*.o -o $*.axf

.s.o:
	$(ARMASM) -I$(INCLUDES) $*.s -g -arch 4 -o $*.o

.c.o:
	$(ARMCC) $(CFL) -c -I. -arm7t $< -o $*.o


